### Method

# Gimp Channel copy

#### Declaration [src]

    GimpChannel*
    gimp_channel_copy (
      GimpChannel* channel
    )

#### Description [src]

Copy a channel.

This procedure copies the specified channel and returns the copy.

The new channel still needs to be added to the image, as this is not automatic. Add the new channel with `gimp_image_insert_channel()`.

#### Return value

Type: `GimpChannel`

The newly copied channel.

The returned data is owned by the instance.